public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: Install ansible-playbook using pip3
@ 2026-09-11 13:19 Petr Lautrbach
  0 siblings, 0 replies; only message in thread
From: Petr Lautrbach @ 2026-09-11 13:19 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : a335bae5eac3f70b34ea2b83647aed501ced3e33
            Author : Petr Lautrbach <plautrba@redhat.com>
            Date   : 2021-08-04T08:24:58+02:00
            Stats  : +8/-2 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/a335bae5eac3f70b34ea2b83647aed501ced3e33?branch=pr775-checkpolicy-revdeps

            Log:
            Install ansible-playbook using pip3

Sometimes ansible is not available as rpm in repositories, but it should
be possible to install ansible using pip3

Fixes:
    [   FAIL   ] :: Checking for the presence of ansible rpm
    [   FAIL   ] :: Command 'ansible-playbook -i localhost, -c local -v tests_all_purge.yml' (Expected 0, got 127)

---
diff --git a/policycoreutils/linux-system-roles.selinux-tests/runtest.sh b/policycoreutils/linux-system-roles.selinux-tests/runtest.sh
index 5332b8e..1fa3809 100755
--- a/policycoreutils/linux-system-roles.selinux-tests/runtest.sh
+++ b/policycoreutils/linux-system-roles.selinux-tests/runtest.sh
@@ -34,8 +34,14 @@ rlJournalStart
     rlPhaseStartSetup
         rlAssertRpm $PACKAGE
         rlAssertRpm "git"
-        rlAssertRpm "ansible"
-
+        if ! rpm -q ansible; then
+            rlLog "There's no ansible rpm, trying: pip3 install ansible"
+            rlRun "dnf -y install python3-pip"
+            rlRun "pip3 install ansible"
+            rlRun "ansible-playbook --version" 0
+        else
+            rlAssertRpm "ansible"
+        fi
     rlPhaseEnd
 
     rlPhaseStartTest

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:19 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:19 [tests/selinux] pr775-checkpolicy-revdeps: Install ansible-playbook using pip3 Petr Lautrbach

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox